Bug 108173 - XSL templates are not checked for updates
XSL templates are not checked for updates
Product: Red Hat Web Application Framework
Classification: Retired
Component: other (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Berrange
Jon Orris
Depends On:
Blocks: 106597
  Show dependency treegraph
Reported: 2003-10-28 06:14 EST by Daniel Berrange
Modified: 2007-04-18 12:58 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-11-13 17:22:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2003-10-28 06:14:54 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.9 (X11; Linux i686; U;) Gecko/20030314

Description of problem:
Since the PatternStylesheetResolver is currently generating URLs with a URL of
http://, the XSLTemplate class is unable to check for file modifications on XSLT
templates. For URLs mapping to the c.a.web.ResourceServlet, it is possible to
translate the http:// URL into a file:// URL for the purposes of checking for
updates. As part of this change, the PatternStylesheetResolver should be updated
to move the  URL protocol definition out of the Java & into the
'stylesheet-paths.txt' file allowing the developer the choice for configuration.

NB, http:// urls are required in order to allow relative links to the content
type XSL servlet. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. View a page
2. Change the XSL & redeploy
3. View the page again

Actual Results:  XSL changes are not visible

Expected Results:  XSL changes are visible

Additional info:

This change is already present in my checkout, but I am unable to commit to 'dev'.
Comment 1 Daniel Berrange 2003-10-29 12:08:18 EST
Fixed in p4 37488

Note You need to log in before you can comment on or make changes to this bug.